Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface JMSConsumerRuntimeMBean

public interface JMSConsumerRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic JMS consumer.

Method Summary
`long` | `getBytesPendingCount()` Returns the number of bytes pending (uncommitted and and unacknowledged) by this consumer.
`long` | `getBytesReceivedCount()` Returns the number of bytes received by this consumer since the last reset.
`java.lang.String` | `getDestinationName()` Returns the destination for this consumer.
`long` | `getMessagesPendingCount()` Returns the number of messages pending (uncommitted and unacknowledged) by this consumer.
`long` | `getMessagesReceivedCount()` Returns the number of messages received by this consumer since the last reset.
`java.lang.String` | `getSelector()` Returns the selector associated with this consumer, if any.
`boolean` | `isActive()` Determines if the consumer active.
`boolean` | `isDurable()` Determines whether the consumer is durable.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDestinationName

    public java.lang.String getDestinationName()

  Returns the destination for this consumer.

### isActive

    public boolean isActive()
                     throws java.rmi.RemoteException

  Determines if the consumer active. Determines whether the consumer has a message listener set up or a synchronous receive in progress.

### getSelector

    public java.lang.String getSelector()

  Returns the selector associated with this consumer, if any.

### isDurable

    public boolean isDurable()

  Determines whether the consumer is durable.

### getMessagesPendingCount

    public long getMessagesPendingCount()

  Returns the number of messages pending (uncommitted and unacknowledged) by this consumer.

### getMessagesReceivedCount

    public long getMessagesReceivedCount()

  Returns the number of messages received by this consumer since the last reset.

### getBytesPendingCount

    public long getBytesPendingCount()

  Returns the number of bytes pending (uncommitted and and unacknowledged) by this consumer.

### getBytesReceivedCount

    public long getBytesReceivedCount()

  Returns the number of bytes received by this consumer since the last reset.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference